package org.dromara.system.service.score;

import org.dromara.common.mybatis.core.page.PageQuery;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.system.domain.score.bo.ScoreDataDetailBo;
import org.dromara.system.domain.score.vo.ScoreDataDetailVo;
import java.util.Collection;
import java.util.List;

/**
 * 成绩_成绩详情idService接口
 *
 * @author boman
 * @date 2023-08-17
 */
public interface IScoreDataDetailService {

    /**
     * 查询成绩_成绩详情id
     */
    ScoreDataDetailVo queryById(Long scoreDetailId);

    /**
     * 查询成绩_成绩详情id列表
     */
    TableDataInfo<ScoreDataDetailVo> queryPageList(ScoreDataDetailBo bo, PageQuery pageQuery);

    /**
     * 查询成绩_成绩详情id列表
     */
    List<ScoreDataDetailVo> queryList(ScoreDataDetailBo bo);

    /**
     * 新增成绩_成绩详情id
     */
    Boolean insertByBo(ScoreDataDetailBo bo);

    /**
     * 修改成绩_成绩详情id
     */
    Boolean updateByBo(ScoreDataDetailBo bo);

    /**
     * 校验并批量删除成绩_成绩详情id信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
